| AOMedia AV1 Codec

ResizePendingParams Struct Reference

Desired dimensions for an externally triggered resize. More...

`#include <encoder.h>`

## Data Fields
int | width
int | height

## Detailed Description

Desired dimensions for an externally triggered resize.

When resize is triggered externally, the desired dimensions are stored in this struct until used in the next frame to be coded. These values are effective only for one frame and are reset after they are used.

## Field Documentation

## ◆ width

int ResizePendingParams::width

Desired resized width

## ◆ height

int ResizePendingParams::height

Desired resized height

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h